Issue 74142

Summary: Installation breaks activesync for PocketExcel
Product: Installation Reporter: edger <edwin.gersbach>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues, Joost.Andrae, oc
Version: OOo 2.1   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Registry files zipped none

Description edger 2007-02-02 21:32:48 UTC
After installation of OOo 2.1.0 ActiveSync 3.7.1 and 3.8 complained with 
a 'File not found' message when a pxl should have been synced and concerted to 
xls.
I found that a registry entry for ActiveSync containing the following clsid's:
.pxl
	DefaultExport {DA01ED8d-97E8-11cf-8011-00A0C40A8F78}
	DefaultImport Binary Copy
	InstalledFilters
		{C6AB3E74-9F4F-4370-8120-A8A6FABB7A7C}
		{DA01ED8d-97E8-11cf-8011-00A0C40A8F78}
		{DA01ED8d-97E8-11cf-8011-00A0C90A8F78}

While the latter two match a class ID pointing to pxlcnv.dll, the first one 
(C6AB3E74...) has no associated class. Removing the entry from the registry 
fixed the problem.

Searching the internet for C6AB3E74-9F4F-4370-8120-A8A6FABB7A7C revealed a 
match in a xmergesync.dll which in turn seems to have been part of OOo V1.x

Notice that I'm a firsttime user of OOo - no prior version had been installed 
before I started with 2.1.0 in late December.
Comment 1 Olaf Felka 2007-02-26 14:23:18 UTC
@ is: I've attached two reg files (zipped): active1.reg shows the registry entry
for .pxl. active2.reg shows what is behind the clsid
{C6AB3E74-9F4F-4370-8120-A8A6FABB7A7C}.
I don't have such palm tools to reproduce. I've just installed ActiveSync 4.2.
Do have any idea what OOo can do here?
Comment 2 Olaf Felka 2007-02-26 14:24:29 UTC
reassigned
Comment 3 Joost Andrae 2007-02-26 14:31:06 UTC
I've added Oliver Craemer to CC list as he should have such a device to get
things reproduced.
Comment 4 Olaf Felka 2007-02-26 14:32:20 UTC
Created attachment 43381 [details]
Registry files zipped
Comment 5 edger 2007-02-27 18:35:49 UTC
Unfortunately I cannot open the attached archive, although PowerArchiver is 
said to support these file types. Anyway, from your comment it seems that 
active1.reg got applied (because I had such a entry for .pxl) while active2.reg 
did not (because I had no clsid in the whole registry).

OOo should supply all required keys or none (and all required files which it 
eventually did). If you believe that everything required to convert .pxl files 
to OOo files should have been there, I may try to deinstal and reinstal OOo 
from scratch. However, I would like to know which files I have to preserve to 
avoid re-registering and keep the configuration settings.
Comment 6 ingo.schmidt-rosbiegal 2007-03-01 15:44:46 UTC
IS -> DR: Please have a look, what goes wrong. Our installer writes the registry
keys containing {C6AB3E74-9F4F-4370-8120-A8A6FABB7A7C} and installs the library
xmergesync.dll if the module "Pocket Excel" is selected for installation.
Comment 7 edger 2008-04-11 16:19:32 UTC
In the meantime I have got a new PC where I installed OO only (no MS-Office at
all) from scratch. I tried to sync directly from .psw to .odt or from .pxl to
.ods but without success. I now sync to original MS-Office format and this works
perfectly for me.

I therefore think this thread should be closed.

Edwin